<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.batch-jberet.jdbc-job-repository" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="data-source,execution-records-limit"/>
        <elem name="addr-params" value="profile,subsystem,jdbc-job-repository"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.batch-jberet"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.batch.job.repository.$jdbc-job-repository"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.data-source.$data-source"/>
    </requires>
    <refs>
        <ref feature="subsystem.batch-jberet"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="data-source" stability="default"/>
        <param name="subsystem" feature-id="true" default="batch-jberet"/>
        <param name="execution-records-limit" nillable="true" stability="default"/>
        <param name="jdbc-job-repository" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>